<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00017">
    <sch:p class="ruleText">
        [PUBS-ID-00017][Error]
        If element CountryName has either attribute countryCode or countryCodeVocabulary 
        is specified, then both must be specified.
        
        Human Readable: Element CountryName must have a value for both the countryCode and countryCodeVocabulary attributes.
    </sch:p>
    
    <sch:p class="codeDesc">
        This rule ensures that element CountryName has either both attribute
        countryCode and attribute countryCodeVocabulary specified, or 
        that element CountryName has neither attribute countryCode
        nor attribute countryCodeVocabulary specified.        
    </sch:p>
    
    <sch:rule context="pubs:CountryName">
        <sch:assert test="(@countryCode and @countryCodeVocabulary)             or not(@countryCode or @countryCodeVocabulary)             "
                  flag="error">
            [PUBS-ID-00017][Error]
            If element CountryName has either attribute countryCode or countryCodeVocabulary 
            is specified, then both must be specified.
            
            Human Readable: Element CountryName must have a value for both the countryCode and countryCodeVocabulary attributes.
        </sch:assert>        
    </sch:rule>
</sch:pattern>
