<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00031">
    <sch:p class="ruleText">
        [PUBS-ID-00031][Error]
        For element Bibliography, if child element BibliographyDivision is used, there 
        must be at least two instances of element BibliographyDivision.
        
        Human Readable: Element Bibliography child element BibliographyDivision requires more than one instance.
    </sch:p>
    
    <sch:p class="codeDesc">
        This rule ensures that element Bibliography does not contain exactly
        one BibliographyDivision child element.
    </sch:p>
    
    <sch:rule context="pubs:Bibliography">
        <sch:assert test="count(pubs:BibliographyDivision) != 1" flag="error">
            [PUBS-ID-00031][Error]
            For element Bibliography, if child element BibliographyDivision is used, there 
            must be at least two instances of element BibliographyDivision.
            
            Human Readable: Element Bibliography child element BibliographyDivision requires more than one instance.
        </sch:assert>
    </sch:rule>
</sch:pattern>
