<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00032">
    <sch:p class="ruleText">
        [PUBS-ID-00032][Error]
        For element Index, if child element IndexDivision is used, there 
        must be at least two instances of element IndexDivision.
        
        Human Readable: Element Index child element IndexDivision requires more than one instance.
    </sch:p>
    
    <sch:p class="codeDesc">
        This rule ensures that element Index does not contain exactly
        one IndexDivision child element.
    </sch:p>
    
    <sch:rule context="pubs:Index">
        <sch:assert test="count(pubs:IndexDivision) != 1" flag="error">
            [PUBS-ID-00032][Error]
            For element Index, if child element IndexDivision is used, there 
            must be at least two instances of element IndexDivision.
            
            Human Readable: Element Index child element IndexDivision requires more than one instance.
        </sch:assert>
    </sch:rule>
</sch:pattern>
