<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00080">
    <sch:p class="ruleText">
        [PUBS-ID-00080][Error]
        The attribute ism:excludeFromRollup must not be specified for any element in the 
        namespace urn:us:gov:ic:pubs except ReferencedResourceSecurity.
        
        Human Readable: Attribute ism:excluedFromRollup is only permitted with element ReferenceResourceSecurity in the urn:us:gov:ic:pubs
        namespace.
    </sch:p>
    
    <sch:p class="codeDesc">
        For all elements in the namespace urn:us:gov:ic:pubs with 
        attribute ism:excludeFromRollup specified, this rule ensures that 
        the name of the element is ReferencedResourceSecurity.
    </sch:p>
    
    <sch:rule context="pubs:*[@ism:excludeFromRollup]">
        <sch:assert test="self::pubs:ReferencedResourceSecurity" flag="error">
            [PUBS-ID-00080][Error]
            The attribute ism:excludeFromRollup must not be specified for any element in the 
            namespace urn:us:gov:ic:pubs except ReferencedResourceSecurity.
            
            Human Readable: Attribute ism:excluedFromRollup is only permitted with element ReferenceResourceSecurity in the urn:us:gov:ic:pubs
            namespace.
        </sch:assert>
    </sch:rule>
</sch:pattern>
