<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00096">
    <sch:p class="ruleText">
        [PUBS-ID-00096][Error]
        For elements pubs:Facility and pubs:Person, if attribute xlink:type is
        specified then it must have a value of [simple] or [resource].
        
        Human Readable: For elements pubs:Facility and pubs:Person, attribute xlink:type value must be either [simple] or [resource]. 
    </sch:p>
    
    <sch:p class="codeDesc">
    	Makes sure that for each element pubs:Facility and pubs:Person,
    	if attribute xlink:type is specified then it has a value of [simple] or [resource].
    </sch:p>
    
    <sch:rule context="pubs:Facility[@xlink:type] | pubs:Person[@xlink:type]">
        <sch:assert test="@xlink:type='simple' or @xlink:type='resource'" flag="error">
        	[PUBS-ID-00096][Error]
        	For elements pubs:Facility and pubs:Person, if attribute xlink:type is
        	specified then it must have a value of [simple] or [resource].
        	
        	Human Readable: For elements pubs:Facility and pubs:Person, attribute xlink:type value must be either [simple] or [resource]. 
        </sch:assert>
    </sch:rule>
</sch:pattern>
