<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00129">
    <sch:p class="ruleText">
        [PUBS-ID-00129][Error] If VIRT elements or attributes are used in PUBS, there must exist 
        a descendant element of pubs:IntelDoc that has @virt:DESVersion. 
        
        Human Readable: If elements or attributes of VIRT are used in PUBS, there must be a descendant 
        element of pubs:IntelDoc that defines the VIRT DESVersion.
    </sch:p>
    <sch:p class="codeDesc">
        If there exists a descendant element of pubs:IntelDoc that uses a VIRT element or attribute, 
        there must exist a descendant element of pubs:IntelDoc that contains @virt:DESVersion.
    </sch:p>
    
    <sch:rule context="//pubs:IntelDoc//virt:* | //pubs:IntelDoc//*[@virt:*]">
        <sch:assert test="exists(//pubs:IntelDoc//*[@virt:DESVersion])" flag="error">
            [PUBS-ID-00129][Error] If VIRT elements or attributes are used in PUBS, there must exist 
            a descendant element of pubs:IntelDoc that has @virt:DESVersion. 
            
            Human Readable: If elements or attributes of VIRT are used in PUBS, there must be a descendant 
            element of pubs:IntelDoc that defines the VIRT DESVersion.
        </sch:assert>
    </sch:rule>
</sch:pattern>