<?xml version="1.0" encoding="UTF-8"?>
<?ICEA abstractPattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<!-- Abstract rule, which asserts that each date contained within 
		 the list $dateList has a year value within the range 
		 $minYear and $maxYear, inclusive. -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron">
    <sch:rule xmlns:sch="http://purl.oclc.org/dsdl/schematron" abstract="true" id="abs.dateListYearRangeRule">
        <sch:assert
            test="        every $date in tokenize(normalize-space(string($dateList)),' ') satisfies         if(not(dtf:yearPortionHasFourDigits(string($date))))         then false()         else          xs:integer(substring(string($date), 1, 4)) &lt;= $maxYear          and xs:integer(substring(string($date), 1, 4)) &gt;= $minYear"
            flag="error">
            <sch:value-of select="$errMsg"/>
        </sch:assert>
    </sch:rule>
</sch:pattern>
