<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00009">
    <sch:p class="ruleText">
        [PUBS-ID-00009][Error]
        For element SourceReference, either child element SourceID 
        or child element DocumentID must exist and must have a non-null value.
    </sch:p>
    
    <sch:p class="codeDesc">
        If element SourceID is specified and has non-white space content
        or is element DocumentID is specified and has non-whitespace content,
        then the rule returns true.
    </sch:p>
    
    <sch:rule context="pubs:SourceReference">
        <sch:assert test="normalize-space(string(pubs:SourceID)) or normalize-space(string(pubs:DocumentID))"
            flag="error">
            [PUBS-ID-00009][Error]
            For element SourceReference, either child element SourceID 
            or child element DocumentID must exist and must have a non-null value.
        </sch:assert>        
    </sch:rule>
</sch:pattern>