<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00030">
    <sch:p class="ruleText">
        [PUBS-ID-00030][Error]
        For element Glossary, if child element GlossaryDivision is used, there 
        must be at least two instances of element GlossaryDivision.
        
        Human Readable: Element Glossary child element GlossaryDivision requires more than one instance.
    </sch:p>
    
    <sch:p class="codeDesc">
        This rule ensures that element Glossary does not contain exactly
        one GlossaryDivision child element.
    </sch:p>
    
    <sch:rule context="pubs:Glossary">
        <sch:assert test="count(pubs:GlossaryDivision) != 1" flag="error">
            [PUBS-ID-00030][Error]
            For element Glossary, if child element GlossaryDivision is used, there 
            must be at least two instances of element GlossaryDivision.
            
            Human Readable: Element Glossary child element GlossaryDivision requires more than one instance.
        </sch:assert>
    </sch:rule>
</sch:pattern>
