<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00033">
    <sch:p class="ruleText">
        [PUBS-ID-00033][Error] element ImageMap must specify attribute id.
        
        Human Readable: Element ImageMap must have a value for attribute id.
    </sch:p>
    
    <sch:p class="codeDesc">
        Ensure the the id attribute is specified with non-whitespace characters
    </sch:p>

    <sch:rule context="pubs:ImageMap">
        <sch:assert test="normalize-space(string(@id))" flag="error">
            [PUBS-ID-00033][Error] Element ImageMap must specify attribute id.
            
            Human Readable: Element ImageMap must have a value for attribute id.
        </sch:assert>
    </sch:rule>
</sch:pattern>
