<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00070">
    <sch:p class="ruleText"> [PUBS-ID-00070][Error] Element ddms:type must not have the attribute
        ddms:qualifier with a value of RevisionRecallDesignations. The required practice for
        conveying Revision Recall is to use a RevisionRecall handling assertion introduced in the
        2014 DEC Revision Recall specification.</sch:p>

    <sch:p class="ruleText">This rule was originally created for PUBS v10 to prevent the PUBS v9
        practice of using the pubs:OtherProperty element to express RevRecall. PUBS v10 directly
        supported RevRecall, so this practice was prohibited. PUBS 2014-DEC no longer supports
        RevRecall directly; it uses RevRecall handling assertion.</sch:p>

    <sch:p class="codeDesc"> If any element ddms:type has attribute ddms:qualifier specified with a
        value of [RevisionRecallDesignations], then this rule asserts false (generate an error). </sch:p>

    <sch:rule
        context="tdf:*[descendant::tdf:StructuredPayload[pubs:IntelDoc]]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:type[@ddms:qualifier='RevisionRecallDesignations']">
        <sch:assert test="false()" flag="error"> [PUBS-ID-00070][Error] Element ddms:type must not
            have the attribute ddms:qualifier with a value of RevisionRecallDesignations. The
            required practice for conveying Revision Recall is to use a RevisionRecall handling
            assertion introduced in the 2014 DEC Revision Recall specification.</sch:assert>
    </sch:rule>
</sch:pattern>
