<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00097">
    <sch:p class="ruleText">
        [PUBS-ID-00097][Error]
        For element pubs:Link, if attribute xlink:type is defined then it must
        have a value of [simple] or [extended].
        
        Human Readable: For element pubs:Link, attribute xlink:type value must be either [simple] or [extended].
    </sch:p>
    
    <sch:p class="codeDesc">
    	Makes sure that for each element pubs:Link, if attribute xlink:type is
    	specified then it has a value of [simple] or [extended].
    </sch:p>
    
    <sch:rule context="pubs:Link[@xlink:type]">
        <sch:assert test="@xlink:type='simple' or @xlink:type='extended'" flag="error">
        	[PUBS-ID-00097][Error]
        	For element pubs:Link, if attribute xlink:type is defined then it must
        	have a value of [simple] or [extended].
        	
        	Human Readable: For element pubs:Link, attribute xlink:type value must be either [simple] or [extended].
        </sch:assert>
    </sch:rule>
</sch:pattern>
