<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00110">
    <sch:p class="ruleText">
        [PUBS-ID-00110][Error]
        In PUBS, the attribute ddms:compliesWith on element ddms:resource 
        must always have complies with specified with a value of [MIN_DISCOVERABLE].
        
        Human Readable: Element ddms:resource attribute ddms:compliesWith requires a value of MIN_DISCOVERABLE.
    </sch:p>
    
    <sch:p class="codeDesc">
        Make sure that ddms:resource has attribute ddms:compliesWith specified
        with a value of MIN_DISCOVERABLE.
    </sch:p>
    
    <sch:rule context="tdf:*[descendant::tdf:StructuredPayload/pubs:IntelDoc]/tdf:Assertion/tdf:StructuredStatement/ddms:resource">
        <sch:assert test="@ddms:compliesWith='MIN_DISCOVERABLE'" flag="error">
            [PUBS-ID-00110][Error]
            In PUBS, the attribute ddms:compliesWith on element ddms:resource 
            must always have complies with specified with a value of [MIN_DISCOVERABLE].
            
            Human Readable: Element ddms:resource attribute ddms:compliesWith requires a value of MIN_DISCOVERABLE.
        </sch:assert>
    </sch:rule>

</sch:pattern>
