<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00115">
    <sch:p class="ruleText">
        [PUBS-ID-00115][Error] The root node of a PUBS document must be pubs:IntelDoc 
        in a tdf:StructuredPayload element of a TDF instance.
        
        Human Readable: PUBS must be in a TDF and the starting node in the payload 
        must be pubs:IntelDoc.
    </sch:p>
    <sch:p class="codeDesc">
        Ensure that the root node of the document is in the tdf namespace and that the
        beginning of a structured payload consists for a pubs:IntelDoc element.
    </sch:p>
    <sch:rule context="/">
        <sch:assert test="tdf:*//tdf:StructuredPayload/pubs:IntelDoc" flag="error">
            [PUBS-ID-00115][Error] The root node of a PUBS document must be pubs:IntelDoc 
            in a tdf:StructuredPayload element of a TDF instance.
            
            Human Readable: PUBS must be in a TDF and the starting node in the payload 
            must be pubs:IntelDoc.
        </sch:assert>
    </sch:rule>
</sch:pattern>
