<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00116">
    <sch:p class="ruleText">[PUBS-ID-00116][Error] If a tdf:TrustedDataObject has an IntelDoc element, it must contain a
        pubs:IntelDocMetadata assertion.</sch:p>

    <sch:p class="codeDesc">A PUBS Trusted Data Object IntelDoc must contain a PUBS assertion.</sch:p>

    <sch:rule context="tdf:TrustedDataObject/tdf:StructuredPayload/pubs:IntelDoc">
        <sch:assert test="ancestor::tdf:TrustedDataObject/tdf:Assertion/tdf:StructuredStatement/pubs:IntelDocMetadata"
            flag="error">[PUBS-ID-00116][Error] If a tdf:TrustedDataObject has an IntelDoc element, it must contain a
            pubs:IntelDocMetadata assertion.</sch:assert>
    </sch:rule>
</sch:pattern>
