<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00117">
    <sch:p class="ruleText">
        [PUBS-ID-00117][Error]
        The value of each attribute @src:citationIDRef must be found in the list of attribute @src:citationID values.
    </sch:p>
    
    <sch:p class="codeDesc">
        The value of each attribute @src:citationIDRef must be found in the list of attribute @src:citationID values.
    </sch:p>
    
    <sch:rule context="pubs:SourceReferenceCitationRef|pubs:AppendedReferenceCitationRef">
        <sch:let name="citationIDList" 
            value="ancestor::tdf:TrustedDataObject//@src:citationID"/>
        <sch:assert test="some $citationID in $citationIDList satisfies compare($citationID,normalize-space(@src:citationIDRef)) = 0" flag="error">
            [PUBS-ID-00117][Error]
            The value of each attribute @src:citationIDRef (<sch:value-of select="@src:citationIDRef"/>) must be found in the list of attribute @src:citationID values. (<sch:value-of select="for $citationID in $citationIDList return $citationID"/>)
        </sch:assert>        
    </sch:rule>
</sch:pattern>
