<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="PUBS-ID-00121">
    <sch:p class="ruleText">
        [PUBS-ID-00121][Error] If pubs:IntelDiscipline exists, then @intdis:CESVersion must exist as well.
    </sch:p>
    
    <sch:p class="codeDesc">
        Make sure that the INTDIS CVE version attribute exists if PUBS IntelDiscipline exists.
    </sch:p>
    
    <sch:rule context="pubs:IntelDiscipline">
        <sch:assert test="//@intdis:CESVersion" flag="error">
            [PUBS-ID-00121][Error] If pubs:IntelDiscipline exists, then @intdis:CESVersion must exist as well.
        </sch:assert>
    </sch:rule>
</sch:pattern>